## org.eclipse.emf.ocl.expressions
Interface IfExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  IfExpImpl

Deprecated. Use the `IfExp` interface, instead.

    @Deprecated
    public interface IfExp

extends OCLExpression

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`OCLExpression` `getCondition()` Deprecated.
`OCLExpression` `getElseExpression()` Deprecated.
`OCLExpression` `getThenExpression()` Deprecated.
`void` `setCondition(OCLExpression value)` Deprecated. Sets the value of the '`Condition`' containment reference
`void` `setElseExpression(OCLExpression value)` Deprecated. Sets the value of the '`Else Expression`' containment reference
`void` `setThenExpression(OCLExpression value)` Deprecated. Sets the value of the '`Then Expression`' containment reference

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getCondition

    OCLExpression getCondition()

  Deprecated.

### setCondition

    void setCondition(OCLExpression value)

  Deprecated.
  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

### getThenExpression

    OCLExpression getThenExpression()

  Deprecated.

### setThenExpression

    void setThenExpression(OCLExpression value)

  Deprecated.
  Sets the value of the '`Then Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Then Expression' containment reference.
  See Also:
    `getThenExpression()`

### getElseExpression

    OCLExpression getElseExpression()

  Deprecated.

### setElseExpression

    void setElseExpression(OCLExpression value)

  Deprecated.
  Sets the value of the '`Else Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Else Expression' containment reference.
  See Also:
    `getElseExpression()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.